Bug 156487 - modem lights not on when manually using wvdial
modem lights not on when manually using wvdial
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2005-04-30 23:44 EDT by Walt Smith
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-14 11:53:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Walt Smith 2005-04-30 23:44:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3) Gecko/20041020

Description of problem:

login as root to XWindows screen.
using virt term (ctl-alt-F1) as root, 
I manually use wvdial (and wvdial.conf) to ISP.

If mozilla has been left running previously,
then neither modem-lights nor network monitor lights
show 50k modem activity on S0 (ppp0)

kppp is not used.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  as root, dialup in virt term F1, put into background: #wvdial ISP &
2.  ctl-alt-F7 (XWin prev login as root): 
             start mozilla and messenger, access net.
3.  hangup in virt term F1:   kill (pid)
4.  ctl-alt-F7  (return to moz gui)
5.  got to virt term F1  
6. as root in F1, dialin:  wvdial isp &
7. add modem light to panel OR they pre-existed.
8.  see no activity 

Actual Results:  when starting from scratch, modem does connect.
It's only when a manual disconnect happens followed by an
attempted reconnect it fails.

config seems set device properly to ppp0.
this seems proper:  /var/lock/LCK..ttyS0
modem status: "not connected" , "lock" shows asking to lock.

Additional info:

I first used network monitor (the windows 2-term look-alike).
then tried modemlights.  Both act identically.
These worked perfectly in RH9 using manual wvdial, and kill pid.

additional note OT:
It's quite irritating that network control setup overwrites
the wvdial.conf file.  It should check for present configs, note them, 
and present info to user before the user makes changes.
i.e it should do a reflection. 

I apologize if this is a repeat bug, but my search turned up nothing,
and I can't believe this bug (a change from RH9 ) made it to FC3.
Comment 1 Walt Smith 2005-04-30 23:50:19 EDT
Actual Results:  when starting from scratch, modem does connect.
It's only when a manual modem disconnect happens followed by an
successful modem reconnect that the modem-lights fail.

Comment 2 Matthew Miller 2006-07-10 19:39:44 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 Ray Strode [halfline] 2007-08-14 11:53:01 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to CANTFIX, however if you still
experience this problem after updating to our latest Fedora
Core release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

(this message is mass message)

Note You need to log in before you can comment on or make changes to this bug.